System Requirements Hippo CMS 7.9 - Enterprise Java Content management system - Hippo CMS

This article covers a Hippo CMS version 7.9. There's an updated version available that covers our most recent release.

System Requirements Hippo CMS 7.9

This page describes the generic system requirements for Hippo CMS 7.9 to provide a guideline for infrastructure decisions. System requirements for older versions can be found here: 7.8, 7.7 and 7.6.

In all cases, Hippo only supports system components that are actively and regularly supported by the respective vendors to support optimal business continuity. Also, refer to the supported deployments page for the deployment scenarios Hippo CMS supports.

Community Edition

The Hippo CMS 7.9 Community Edition stack is based upon:

JVM: Oracle JVM 7
Operating System: Ubuntu Server 12.04 and higher (preferred)
Application Server: Tomcat 7
Database Server: MySQL 5.6

Hippo CMS Enterprise Supported Stack

Hippo Enterprise supports several different stacks, i.e. combinations of Java virtual machine, operating system, database and application server. Hippo has a preferred stack as mentioned below. In case your environment differs from the preferred stack look at options mentioned in the Enterprise Stack options. Please contact Hippo Sales for information on platforms not listed below. Please also contact Hippo for final sign-off to ensure that the combination of software versions employed is both eligible for Hippo support and also facilitates best possible performance and stability.

Preferred Enterprise Stack:

JVM: Oracle JVM 7
Operating System: Ubuntu Server 12.04
Application Server: Tomcat 7
Database Servers: MySQL 5.6 or Oracle 11

Note: the Enterprise Relevance module requires Couchbase Server Enterprise Edition version 2.0.1 or higher.

Enterprise Stack Options:

JVMs

  • Oracle JVM 7 and Oracle JVM 8 as of CMS 7.9.7 (note: compilation against Java 7 is required, Hippo CMS 7.10 will only support Java 8)

Operating Systems

  • Ubuntu Server 10.04, 11.00 and higher
  • RedHat Enterprise Linux (RHEL) 6 and higher
  • Debian Squeeze and Wheezy (note for customers looking to use the Enterprise Relevance module: Couchbase Server does not support the Debian OSs)
  • Windows Server 2008 R2, 2012, 2012 R2

Application Servers

  • Tomcat 7
  • Oracle WebLogic 12c and higher

Database Servers

  • MySQL 5.1, 5.5 and 5.6
  • Amazon RDS (using MySQL)
  • Oracle 11 and higher
  • MS SQL Server 2008, 2008 R2, 2012
  • PostgreSQL 8.3 and higher

LDAP Directories

  • OpenLDAP
  • Novell Directory Server
  • Microsoft Active Directory
  • ApacheDS

Client Software Supported Stack

The Hippo CMS User Interface is fully web based and requires no prerequisites to be installed. As such, Hippo is expected to run in any standard browser environment. Hippo cannot guarantee browser plug-ins, tools or any kind of modifications to the browser to work with Hippo CMS.

The CMS User Interface requires cookies to be activated for the domain it runs in.

Operating Systems

  • Microsoft Windows Vista, Windows 7, Windows 8
  • Mac OS X
  • Ubuntu 10 and higher

Browsers

  • Google Chrome: latest stable version supported
  • Mozilla Firefox: latest stable version supported
  • Microsoft Internet Explorer 11
  • Apple Safari 7

Browser support for the website is determined by the website implementation. The Hippo Delivery Tier (HST) supports all major browsers and versions.

This article covers a Hippo CMS version 7.9. There's an updated version available that covers our most recent release.

System Requirements Hippo CMS 7.9

This page describes the generic system requirements for Hippo CMS 7.9 to provide a guideline for infrastructure decisions. System requirements for older versions can be found here: 7.8, 7.7 and 7.6.

In all cases, Hippo only supports system components that are actively and regularly supported by the respective vendors to support optimal business continuity. Also, refer to the supported deployments page for the deployment scenarios Hippo CMS supports.

Community Edition

The Hippo CMS 7.9 Community Edition stack is based upon:

JVM: Oracle JVM 7
Operating System: Ubuntu Server 12.04 and higher (preferred)
Application Server: Tomcat 7
Database Server: MySQL 5.6

Hippo CMS Enterprise Supported Stack

Hippo Enterprise supports several different stacks, i.e. combinations of Java virtual machine, operating system, database and application server. Hippo has a preferred stack as mentioned below. In case your environment differs from the preferred stack look at options mentioned in the Enterprise Stack options. Please contact Hippo Sales for information on platforms not listed below. Please also contact Hippo for final sign-off to ensure that the combination of software versions employed is both eligible for Hippo support and also facilitates best possible performance and stability.

Preferred Enterprise Stack:

JVM: Oracle JVM 7
Operating System: Ubuntu Server 12.04
Application Server: Tomcat 7
Database Servers: MySQL 5.6 or Oracle 11

Note: the Enterprise Relevance module requires Couchbase Server Enterprise Edition version 2.0.1 or higher.

Enterprise Stack Options:

JVMs

  • Oracle JVM 7 and Oracle JVM 8 as of CMS 7.9.7 (note: compilation against Java 7 is required, Hippo CMS 7.10 will only support Java 8)

Operating Systems

  • Ubuntu Server 10.04, 11.00 and higher
  • RedHat Enterprise Linux (RHEL) 6 and higher
  • Debian Squeeze and Wheezy (note for customers looking to use the Enterprise Relevance module: Couchbase Server does not support the Debian OSs)
  • Windows Server 2008 R2, 2012, 2012 R2

Application Servers

  • Tomcat 7
  • Oracle WebLogic 12c and higher

Database Servers

  • MySQL 5.1, 5.5 and 5.6
  • Amazon RDS (using MySQL)
  • Oracle 11 and higher
  • MS SQL Server 2008, 2008 R2, 2012
  • PostgreSQL 8.3 and higher

LDAP Directories

  • OpenLDAP
  • Novell Directory Server
  • Microsoft Active Directory
  • ApacheDS

Client Software Supported Stack

The Hippo CMS User Interface is fully web based and requires no prerequisites to be installed. As such, Hippo is expected to run in any standard browser environment. Hippo cannot guarantee browser plug-ins, tools or any kind of modifications to the browser to work with Hippo CMS.

The CMS User Interface requires cookies to be activated for the domain it runs in.

Operating Systems

  • Microsoft Windows Vista, Windows 7, Windows 8
  • Mac OS X
  • Ubuntu 10 and higher

Browsers

  • Google Chrome: latest stable version supported
  • Mozilla Firefox: latest stable version supported
  • Microsoft Internet Explorer 11
  • Apple Safari 7

Browser support for the website is determined by the website implementation. The Hippo Delivery Tier (HST) supports all major browsers and versions.